import request from '@/utils/request';

// 模板管理分页
export async function notifyTemplatePageAPI(data) {
  const res = await request.post(`/sys/notifytemplate/page`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取详情
export async function notifyTemplateGetByIdAPI(id) {
  const res = await request.get(`/sys/notifytemplate/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 修改模板管理数据
export async function notifyTemplateUpdateAPI(data) {
  const res = await request.put(`/sys/notifytemplate/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 保存模板管理数据
export async function notifyTemplateSaveAPI(data) {
  const res = await request.post(`/sys/notifytemplate/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除
 */
export async function notifyTemplateDeleteAPI(data) {
  const res = await request.delete('/sys/notifytemplate/delete', {data});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

